Last Comment Bug 455122 - Page incorrectly renders border certain sizes
: Page incorrectly renders border certain sizes
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Layout (show other bugs)
: unspecified
: x86 Windows XP
: -- normal with 2 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
http://en.wikipedia.org/wiki/Wikipedi...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-13 00:00 PDT by Commander.Keane
Modified: 2011-09-09 06:14 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (906 bytes, text/html)
2009-03-31 10:58 PDT, T.Rosenau
no flags Details

Description Commander.Keane 2008-09-13 00:00:18 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.1) Gecko/2008070208 Firefox/3.0.1
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.1) Gecko/2008070208 Firefox/3.0.1

Page incorrectly renders border certain sizes on Wikipedia. On http://en.wikipedia.org/wiki/Wikipedia:Reference_desk/Miscellaneous changing the page size causes the border to malfunction at certain page sizes.

Appeared when I upgraded to FF 3.

Screenshot of problem available at http://en.wikipedia.org/wiki/Image:Ref_desk_missing_line.JPG

Reproducible: Always

Steps to Reproduce:
1.Go to http://en.wikipedia.org/wiki/Wikipedia:Reference_desk/Miscellaneous
2.Use Ctrl +/- to increase or decrease the page size until the border under the tabs disappears
Actual Results:  
Border line under the tabs (eg the "project page" tab) disappears, border at the bottom of the page (just below the categories) is not present, and the left border is only present in the middle two thirds or so of the page, and is much blacker than it should be.

Expected Results:  
Border should remain at all page sizes.
Comment 1 bugzilla 2008-09-14 12:44:12 PDT
I also started seeing this with version 3 on Windows XP, Windows Vista, and Linux (Ubuntu Hardy Heron).  In my experience, any div element with sufficient height (a few thousand pixels) which has a border set will not display the border correctly.  Most commonly the border is white for the top and bottom (including the tops and bottoms of both sides) and is black for the middle portion of the side borders.
Comment 2 bugzilla 2008-09-24 18:30:14 PDT
Still present in 3.0.2

Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.0.2) Gecko/2008091620 Firefox/3.0.2
Comment 3 bugzilla 2008-10-01 17:55:35 PDT
...and in 3.0.3
Comment 4 bugzilla 2008-11-24 12:21:18 PST
3.0.4 still has this problem.

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.4) Gecko/2008102920 Firefox/3.0.4
Comment 5 T.Rosenau 2009-03-31 06:19:53 PDT
I found out that this happens when an element is at least 32768 Pixels (2^15) in height and/or width.

Test case:

<style type="text/css">
    * { margin: 0; border: 0; padding: 0; }
    #test { height: 100px; width: 32768px;
            background: yellow; border-bottom: 5px solid red; }
/*  #test { width: 100px; height: 32768px;
            background: yellow; border-right: 5px solid red; } */
</style>
<body><div id="test"></div></body>
Comment 6 T.Rosenau 2009-03-31 10:58:34 PDT
Created attachment 370231 [details]
testcase

a more detailed testcase
Comment 7 bugzilla 2010-01-22 13:22:06 PST
i stopped seeing this as of 3.5 -- did someone fix it?
Comment 8 RNicoletto 2011-09-09 06:14:52 PDT
CLOSED per comment 7.

Note You need to log in before you can comment on or make changes to this bug.